aboutsummaryrefslogtreecommitdiff
path: root/examples
diff options
context:
space:
mode:
authordancer <dancer>2003-12-15 23:23:29 +0000
committerdancer <dancer>2003-12-15 23:23:29 +0000
commit091894173cb71295ebd3464d8ade56974266f57b (patch)
tree9f8ab479211f8d2f781df6eb53d5e38f101328e3 /examples
parent3fdded3fc5eb40db58398662f60969aa7d450ee2 (diff)
downloadpbuilder-091894173cb71295ebd3464d8ade56974266f57b.tar
pbuilder-091894173cb71295ebd3464d8ade56974266f57b.tar.gz
pbuilder execute with command-line options support.
Documentation, and mass-install script.
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/execute_installtest.sh17
-rwxr-xr-xexamples/execute_paramtest.sh15
2 files changed, 32 insertions, 0 deletions
diff --git a/examples/execute_installtest.sh b/examples/execute_installtest.sh
new file mode 100755
index 0000000..ba54f9d
--- /dev/null
+++ b/examples/execute_installtest.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# pbuilder example script.
+# Copyright 2003 Junichi Uekawa
+#Distributed under GPL version 2 or later
+
+#before running this script, make sure you have an up-to-date system with
+# pbuilder update.
+# $Id$
+
+
+# This will install a package using APT and see if that fails.
+
+set -ex
+
+apt-get install -y "$1"
+
+
diff --git a/examples/execute_paramtest.sh b/examples/execute_paramtest.sh
new file mode 100755
index 0000000..39b409d
--- /dev/null
+++ b/examples/execute_paramtest.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+# pbuilder example script.
+# Copyright 2003 Junichi Uekawa
+#Distributed under GPL version 2 or later
+
+
+# this is parameter testing script for
+# pbuilder execute.
+# This program will output the command-line
+# $Id$
+
+
+echo "--- parameters given to this script"
+echo "[$@]"
+